Page MenuHomePhabricator

Create a page-properties-change event
Closed, ResolvedPublic

Description

The page properties are changed asynchronously by the refreshLinks job and some of the content is dependent of page props. So we need to set up a topic for page_props change event so that we could rerender content in reaction to it. Afterwards a tacky solution for T145569 could be removed and replaced by the usage of that event.

Parts to be done:

  • Set up the page/properties-change event schema
  • Set up the mediawiki.page-properties-change topic
  • Make Event-Platform extension emit the event
  • Switch ChangeProp to the new event for page images summary update
  • Stop producing a resource_change event with 'pageimage' tag in the extension.
  • Remove reaction to the old event from ChangeProp

Event Timeline

Pchelolo created this task.Oct 5 2016, 9:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 5 2016, 9:24 PM

Change 314430 had a related patch set uploaded (by Ppchelko):
Added schema and topic for page-properties-change event.

https://gerrit.wikimedia.org/r/314430

Change 314605 had a related patch set uploaded (by Ppchelko):
Produce the page-properties-change event.

https://gerrit.wikimedia.org/r/314605

Change 314430 merged by jenkins-bot:
Added schema and topic for page-properties-change event.

https://gerrit.wikimedia.org/r/314430

Change 314605 merged by jenkins-bot:
Produce the page-properties-change event.

https://gerrit.wikimedia.org/r/314605

Change 315100 had a related patch set uploaded (by Mobrovac):
Config: React to page-properties event

https://gerrit.wikimedia.org/r/315100

Change 315100 merged by Mobrovac:
Config: React to page-properties event

https://gerrit.wikimedia.org/r/315100

mobrovac updated the task description. (Show Details)Oct 10 2016, 3:08 PM

The new topic has been set up in Kafka and Change Prop will start responding to these events as soon as Gerrit 314605 hits production (on this week's train). We should then remove the resource_change rule from Change Prop.

Pchelolo moved this task from Backlog to doing on the Services board.Oct 12 2016, 5:04 PM
Pchelolo edited projects, added Services (doing); removed Services.
GWicke triaged this task as High priority.Oct 12 2016, 5:59 PM

Change 315575 had a related patch set uploaded (by Ppchelko):
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315575

Change 315575 merged by jenkins-bot:
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315575

Change 315634 had a related patch set uploaded (by Mobrovac):
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315634

Change 315634 merged by jenkins-bot:
ApiPurge: Set the triggering user for the LinksUpdate

https://gerrit.wikimedia.org/r/315634

Mentioned in SAL (#wikimedia-operations) [2016-10-13T13:19:11Z] <hashar@mira> Synchronized php-1.28.0-wmf.22/includes/api/ApiPurge.php: ApiPurge: Set the triggering user for the LinksUpdate T147516 T147977 (duration: 00m 52s)

Pchelolo updated the task description. (Show Details)Oct 13 2016, 7:06 PM

Change 315744 had a related patch set uploaded (by Ppchelko):
Removed deprecated rule about page image

https://gerrit.wikimedia.org/r/315744

Pchelolo updated the task description. (Show Details)Oct 13 2016, 7:52 PM

Change 315744 merged by Mobrovac:
Removed deprecated rule about page image

https://gerrit.wikimedia.org/r/315744

mobrovac closed this task as Resolved.Oct 14 2016, 11:54 AM
mobrovac updated the task description. (Show Details)
mobrovac edited projects, added Services (done); removed Services (doing), Patch-For-Review.
mobrovac removed a subscriber: gerritbot.